<?php

namespace Modules\Approval\Models\Traits;

use App\Models\User;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

/**
 * @mixin \Illuminate\Database\Eloquent\Model
 */

trait HasActor
{
    public function actor(): BelongsTo
    {
        return $this->belongsTo(User::class, 'action_by');
    }
}
